package com.gx.obe.management.composite;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.layout.RowLayout;

/** 
 * @Description: 合理次低价为评分基准价的方法
 * @author chenxw 
 */
public class RationalSubLowPriceComposite extends BasePriceManager {
	
	/**
	 * Create the composite.
	 * 
	 * @param parent
	 * @param style
	 */
	public RationalSubLowPriceComposite(Composite parent, int style) {
		super(parent, style);
		
		Composite composite = new Composite(this, SWT.NONE);
		composite.setLayout(new RowLayout(SWT.HORIZONTAL));
		composite.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, true, false, 1, 1));
		
		Label label = new Label(composite, SWT.NONE);
		label.setText("投标总价次低的报价为评分基准价。");
		
	}
	
	/** 
	 * @Description: 
	 * @author chenxw
	 * @return 
	 */
	public String getFormulaContent() {
		return "投标总价次低的报价为评分基准价。";
	}
	
}
